--- title: "Enable Secret" slug: "secretmanager-enablesecret" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/secretmanager-enablesecret" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Enable Secret Available in VPC Resume using a secret. Only secrets in the `DISABLE` (suspended) status can be resumed. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/secrets/{secretId}/enable | ### Request headers For information about the headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `secretId` | String | Required | Secret ID - See [Get Secret List](/docs/en/secretmanager-getsecretlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://secretmanager.apigw.ntruss.com/api/v1/secrets/{secretId}/enable' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.secretId` | String | - | Secret ID | | `data.secretStatus` | String | - | Secret status - `ENABLE`: Available (valid value) | | `data.updateDate` | Long | - | Secret usage resume date and time (millisecond) - Unix timestamp format | ### Response status codes For information about the HTTP status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "secretId": "*****687685109842348f7358629bca2a6b2491e8c2352718e7d312b183*****", "secretStatus": "ENABLE", "updateDate": 1753165658706 } } ```